Name:		__MKIT_PROJ_PKGNAME__
Version:	__MKIT_PROJ_VERSION__
Release:	1%{?dist}
Summary:	__MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__

License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils git
Requires:	bash

%description
Shellfu is an attempt to add modularity to your shell scripts.

With Shellfu you can develop your shell modules separately from your
scripts, and test, use, explore or study them without need to be aware
of details such as where the actual files are placed.

Shellfu is mostly intended for cases when there's need for non-trivial
amount of reliable body of shell scripts, and access to advanced modular
languages such as Python or Perl is limited.

This sub-package contains only the Shellfu management system but not
actual modules.  Use this if you want to write all modules yourself.

%package bash
Summary: Bash-specific base
Requires: shellfu
%description bash
This sub-package contains Bash-specific parts of library infrastructure.
Shellfu modules written for Bash should depend on this.

%package bash-core
Summary: Core Bash modules for Shellfu
Requires: shellfu-bash
%description bash-core
This sub-package contains core Shellfu modules.

%package bash-extras
Summary: Extra Bash modules for Shellfu
Requires: shellfu-bash
Requires: shellfu-bash-core
%description bash-extras
This sub-package contains extra Shellfu modules, most of them under
heavy development.

%package devel
Summary: Essential developer tools
Requires: shellfu-bash-core
%description devel
This sub-package contains tools useful mostly for development of shellfu
scripts.

%package sh
Summary: Generic base
Requires: shellfu
%description sh
This sub-package contains POSIX-oriented parts of library infrastructure.
Generic Shellfu modules aiming for POSIX compatibility should depend on this.

%package sh-mdfmt
Summary: Markdown formatting helper
Requires: shellfu-sh
%description sh-mdfmt
This sub-package contains Markdown formatting helper, a function that
helps you generate Markdown paragraph elements from your shell scripts.


%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    PATH=%{buildroot}/%{_bindir}:$PATH \
    SHELLFU_DIR=%{buildroot}/%{_datadir}/%{name}

%files
%config %{_sysconfdir}/bash_completion.d/%{name}.bash
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/LICENSE.md
%doc %{_docdir}/%{name}/README.md
%{_bindir}/sfdoc
%{_bindir}/sfpath
%{_datadir}/%{name}/shellfu.sh

%files bash
%dir %{_datadir}/%{name}/include-bash

%files bash-core
%{_datadir}/%{name}/include-bash/_pretty_color.sh
%{_datadir}/%{name}/include-bash/_pretty_html.sh
%{_datadir}/%{name}/include-bash/_pretty_journald.sh
%{_datadir}/%{name}/include-bash/_pretty_notify.sh
%{_datadir}/%{name}/include-bash/_pretty_plain.sh
%{_datadir}/%{name}/include-bash/exit.sh
%{_datadir}/%{name}/include-bash/pretty.sh
%{_datadir}/%{name}/include-bash/termcolors.sh

%files bash-extras
%{_datadir}/%{name}/include-bash/charmenu.sh
%{_datadir}/%{name}/include-bash/inigrep.sh
%{_datadir}/%{name}/include-bash/sync.sh

%files devel
%{_bindir}/sfembed

%files sh
%dir %{_datadir}/%{name}/include-sh

%files sh-mdfmt
%{_datadir}/%{name}/include-sh/mdfmt.sh

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
